<Type Name="OleDbRowUpdatingEventArgs" FullName="System.Data.OleDb.OleDbRowUpdatingEventArgs">
  <TypeSignature Language="C#" Value="public sealed class OleDbRowUpdatingEventArgs : System.Data.Common.RowUpdatingEventArgs" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Data</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Data.Common.RowUpdatingEventArgs</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public OleDbRowUpdatingEventArgs (Data.DataRow dataRow, Data.IDbCommand command, Data.StatementType statementType, Data.Common.DataTableMapping tableMapping);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="dataRow" Type="System.Data.DataRow" />
		<Parameter Name="command" Type="System.Data.IDbCommand" />
		<Parameter Name="statementType" Type="System.Data.StatementType" />
		<Parameter Name="tableMapping" Type="System.Data.Common.DataTableMapping" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataRow">To be added: an object of type 'Data.DataRow'</param>
        <param name="command">To be added: an object of type 'Data.IDbCommand'</param>
        <param name="statementType">To be added: an object of type 'Data.StatementType'</param>
        <param name="tableMapping">To be added: an object of type 'Data.Common.DataTableMapping'</param>
        <returns>To be added: an object of type 'OleDbRowUpdatingEventArgs'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Command">
      <MemberSignature Language="C#" Value="public OleDbCommand Command { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbCommand</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'OleDbCommand'</param>
        <returns>To be added: an object of type 'OleDbCommand'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
